---

stages:
  - linting
  - test

variables:
  JSON_PATH_EXCLUSION: ''

json:
  stage: linting
  image:
    name: registry.gitlab.com/pipeline-components/jsonlint:latest
  before_script:
    - |
      if [ -z "${JSON_PATH_EXCLUSION}" ]
      then
        echo "No path exclusion set"
        export PATH_EXCL_CMD=""
      else
        echo "Path exclusion set to ${JSON_PATH_EXCLUSION}"
        export \
          PATH_EXCL_CMD="-type d -path ${JSON_PATH_EXCLUSION} -prune -o"
      fi
  script:
    - |
      find . $PATH_EXCL_CMD -iname '*.json' -print0 |
      parallel --will-cite -k -0 -n1 jsonlint -q
  rules:
    - if: '$JSON_CHECK_DISABLED || $JOBS_DISABLED'
      when: never
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - when: on_success
